<?php

namespace Drupal\sirv;

/**
 * Defines an interface for a Sirv URL service.
 */
interface SirvUrlInterface {

  /**
   * Create a Sirv URL from a URI reference.
   *
   * @param string $uri_reference
   *   A URI reference, such as the value from an image's "src" attribute.
   * @param array $sirv_image_settings
   *   The Sirv image settings.
   * @param string $original_scheme
   *   The scheme from the original stream wrapper.
   *
   * @return string
   *   The Sirv URL.
   */
  public function getUrlfromUriReference($uri_reference, array $sirv_image_settings = [], $original_scheme = '');

}
